ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.CmmToAsm.Reg.Linear.Stats

Synopsis

- binSpillReasons :: [SpillReason] -> UniqFM Unique [Int]
- countRegRegMovesNat :: Instruction instr => NatCmmDecl statics instr -> Int
- pprStats :: Instruction instr => [NatCmmDecl statics instr] -> [RegAllocStats] -> SDoc

# Documentation

binSpillReasons :: [SpillReason] -> UniqFM Unique [Int] Source #

Build a map of how many times each reg was alloced, clobbered, loaded etc.

countRegRegMovesNat :: Instruction instr => NatCmmDecl statics instr -> Int Source #

Count reg-reg moves remaining in this code.

pprStats :: Instruction instr => [NatCmmDecl statics instr] -> [RegAllocStats] -> SDoc Source #

Pretty print some RegAllocStats